package com.altinity.opsview.odw.model;

/**
 * Copyright (C) 2008 Opsera Limited. All rights reserved
 *
 * This file is part of Opsview
 * 
 * Opsview is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * Opsview is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Opsview; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 * 
 */

import java.util.Date;

import com.altinity.opsview.odw.bc.ODWReportBC;
import com.excira.utils.DateUtils;


public class StateHistory {
	
	private long date;
	private String status;
	
	/**
	 * 
	 */
	public long getDate() {
		return date;
	}

	/**
	 * 
	 */
	public void setDate(long date) {
		this.date = date;
	}
	
	/**
	 * 
	 */
	public String getStatus() {
		return status;
	}

	/**
	 * 
	 */
	public void setStatus(String status) {
		this.status = status;
	}
	
	/**
	 * 
	 */
	public int getStatusInt() {
		
		if ( status.equalsIgnoreCase(ODWReportBC.STATUS_OK) )
			return ODWReportBC.OK;
		else if ( status.equalsIgnoreCase(ODWReportBC.STATUS_WARNING) )
			return ODWReportBC.WARNING;
		else if ( status.equalsIgnoreCase(ODWReportBC.STATUS_UNKNOWN) )
			return ODWReportBC.UNKNOWN;
		else if ( status.equalsIgnoreCase(ODWReportBC.STATUS_CRITICAL) )
			return ODWReportBC.CRITICAL;
		else if ( status.equalsIgnoreCase(ODWReportBC.STATUS_NO_DATA) )
			return ODWReportBC.NO_DATA;
		else
			throw new RuntimeException("Unknown status in StateHistory.getStatusInt: '" +
					status + "'");
	}
	
	/**
	 * 
	 */
	public String toString() {
		return date + " (" + DateUtils.format(new Date(date), "EEE MMM d hh:mm:ss yyyy")+ ") : " + status; 
	}
}
