<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE foo [
	<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<!-- *************************************************************************************************
	Summary
	*************************************************************************************************** -->
	<xsl:template name="weeklySummaryTable" match="element[@name='weeklySummaryTable']">
		<xsl:choose>
			<xsl:when test="empty">
				<fo:block>No summary table data found for report period.</fo:block>
			</xsl:when>
			<xsl:otherwise>
				<fo:block xsl:use-attribute-sets="center elementHeading">
					Weekly Availability Summary Table
				</fo:block>	
				<fo:block xsl:use-attribute-sets="center element elementSubHeading">
					<xsl:value-of select="availPercentage/title"/>
				</fo:block>
				<fo:table table-layout="fixed" xsl:use-attribute-sets="table">
					<xsl:if test="availPercentage/index">
						<fo:table-column/>
					</xsl:if>
					<fo:table-column/>
					<fo:table-column/>
					<fo:table-column/>
					<fo:table-column/>
					<fo:table-body>
						<fo:table-row xsl:use-attribute-sets="bold center">
							<xsl:if test="availPercentage/index">
								<fo:table-cell xsl:use-attribute-sets="tableCellIndex">
									<fo:block/>
								</fo:table-cell>
							</xsl:if>						
							<fo:table-cell xsl:use-attribute-sets="tableCell">
								<fo:block xsl:use-attribute-sets="bold center">APPLICATION</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="tableCell">
								<fo:block xsl:use-attribute-sets="bold center">OK</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="tableCell">
								<fo:block xsl:use-attribute-sets="bold center">SCHEDULED</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="tableCell">
								<fo:block xsl:use-attribute-sets="bold center">UNSCHEDULED</fo:block>
							</fo:table-cell>													
						</fo:table-row>
						<xsl:for-each select="availPercentage/servicechecks/servicecheck">
							<fo:table-row>
								<xsl:if test="index">
									<fo:table-cell xsl:use-attribute-sets="tableCellIndex">
										<fo:block xsl:use-attribute-sets="bold"><xsl:value-of select="index"/></fo:block>
									</fo:table-cell>
								</xsl:if>							
								<fo:table-cell xsl:use-attribute-sets="tableCell">
									<fo:block xsl:use-attribute-sets="bold"><xsl:value-of select="title"/></fo:block>
								</fo:table-cell>							
								<fo:table-cell xsl:use-attribute-sets="tableCell">
									<fo:block xsl:use-attribute-sets="right"><xsl:value-of select="ok"/></fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="tableCell">
									<fo:block xsl:use-attribute-sets="right"><xsl:value-of select="sched"/></fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="tableCell">
									<fo:block xsl:use-attribute-sets="right"><xsl:value-of select="unsched"/></fo:block>
								</fo:table-cell>								
							</fo:table-row>						
						</xsl:for-each>
					</fo:table-body>
				</fo:table>
				<fo:table table-layout="fixed" xsl:use-attribute-sets="element text">
					<fo:table-column column-width="2.5cm"/>
					<fo:table-column />
					<fo:table-body>
						<fo:table-row>
							<fo:table-cell>
								<fo:block>OK</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>% of time in ok, warn or unknown states</fo:block>
							</fo:table-cell>
						</fo:table-row>	
						<fo:table-row>	
							<fo:table-cell>
								<fo:block>SCHEDULED</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>% of time in a critical state where scheduled downtime has been marked</fo:block>
							</fo:table-cell>
						</fo:table-row>	
						<fo:table-row>
							<fo:table-cell>
								<fo:block>UNSCHEDULED</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>% of time in a critical state where no scheduled downtime has been marked</fo:block>
							</fo:table-cell>									
						</fo:table-row>
					</fo:table-body>
				</fo:table>					
			</xsl:otherwise>
		</xsl:choose>			
	</xsl:template>
</xsl:stylesheet>
